diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/image.php ./wordpress-3.3/wp-content/themes/twentyeleven/image.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/image.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/image.php	2011-12-10 13:18:51.000000000 -0600
***************
*** 12,51 ****
  		<div id="primary" class="image-attachment">
  			<div id="content" role="main">
  
! 			<?php the_post(); ?>
  
! 			<nav id="nav-single">
! 				<h3 class="assistive-text"><?php _e( 'Image navigation', 'twentyeleven' ); ?></h3>
! 				<span class="nav-previous"><?php previous_image_link( false, __( '&larr; Previous' , 'twentyeleven' ) ); ?></span>
! 				<span class="nav-next"><?php next_image_link( false, __( 'Next &rarr;' , 'twentyeleven' ) ); ?></span>
! 			</nav><!-- #nav-single -->
! 
! 				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
! 					<header class="entry-header">
! 						<h1 class="entry-title"><?php the_title(); ?></h1>
! 
! 						<div class="entry-meta">
! 							<?php
! 								$metadata = wp_get_attachment_metadata();
! 								printf( __( '<span class="meta-prep meta-prep-entry-date">Published </span> <span class="entry-date"><abbr class="published" title="%1$s">%2$s</abbr></span> at <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> in <a href="%6$s" title="Return to %7$s" rel="gallery">%7$s</a>', 'twentyeleven' ),
! 									esc_attr( get_the_time() ),
! 									get_the_date(),
! 									esc_url( wp_get_attachment_url() ),
! 									$metadata['width'],
! 									$metadata['height'],
! 									esc_url( get_permalink( $post->post_parent ) ),
! 									get_the_title( $post->post_parent )
! 								);
! 							?>
! 							<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
! 						</div><!-- .entry-meta -->
  
! 					</header><!-- .entry-header -->
  
! 					<div class="entry-content">
  
! 						<div class="entry-attachment">
! 							<div class="attachment">
  <?php
  	/**
  	 * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
--- 12,52 ----
  		<div id="primary" class="image-attachment">
  			<div id="content" role="main">
  
! 			<?php while ( have_posts() ) : the_post(); ?>
  
! 				<nav id="nav-single">
! 					<h3 class="assistive-text"><?php _e( 'Image navigation', 'twentyeleven' ); ?></h3>
! 					<span class="nav-previous"><?php previous_image_link( false, __( '&larr; Previous' , 'twentyeleven' ) ); ?></span>
! 					<span class="nav-next"><?php next_image_link( false, __( 'Next &rarr;' , 'twentyeleven' ) ); ?></span>
! 				</nav><!-- #nav-single -->
! 
! 					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
! 						<header class="entry-header">
! 							<h1 class="entry-title"><?php the_title(); ?></h1>
! 
! 							<div class="entry-meta">
! 								<?php
! 									$metadata = wp_get_attachment_metadata();
! 									printf( __( '<span class="meta-prep meta-prep-entry-date">Published </span> <span class="entry-date"><abbr class="published" title="%1$s">%2$s</abbr></span> at <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> in <a href="%6$s" title="Return to %7$s" rel="gallery">%8$s</a>', 'twentyeleven' ),
! 										esc_attr( get_the_time() ),
! 										get_the_date(),
! 										esc_url( wp_get_attachment_url() ),
! 										$metadata['width'],
! 										$metadata['height'],
! 										esc_url( get_permalink( $post->post_parent ) ),
! 										esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
! 										get_the_title( $post->post_parent )
! 									);
! 								?>
! 								<?php edit_post_link( __( 'Edit', 'twentyeleven' ), '<span class="edit-link">', '</span>' ); ?>
! 							</div><!-- .entry-meta -->
  
! 						</header><!-- .entry-header -->
  
! 						<div class="entry-content">
  
! 							<div class="entry-attachment">
! 								<div class="attachment">
  <?php
  	/**
  	 * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
***************
*** 70,99 ****
  		$next_attachment_url = wp_get_attachment_url();
  	}
  ?>
! 								<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php
! 								$attachment_size = apply_filters( 'twentyeleven_attachment_size', 848 );
! 								echo wp_get_attachment_image( $post->ID, array( $attachment_size, 1024 ) ); // filterable image width with 1024px limit for image height.
! 								?></a>
! 
! 								<?php if ( ! empty( $post->post_excerpt ) ) : ?>
! 								<div class="entry-caption">
! 									<?php the_excerpt(); ?>
! 								</div>
! 								<?php endif; ?>
! 							</div><!-- .attachment -->
! 
! 						</div><!-- .entry-attachment -->
! 
! 						<div class="entry-description">
! 							<?php the_content(); ?>
! 							<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
! 						</div><!-- .entry-description -->
  
! 					</div><!-- .entry-content -->
  
! 				</article><!-- #post-<?php the_ID(); ?> -->
  
! 				<?php comments_template(); ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
--- 71,102 ----
  		$next_attachment_url = wp_get_attachment_url();
  	}
  ?>
! 									<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment"><?php
! 									$attachment_size = apply_filters( 'twentyeleven_attachment_size', 848 );
! 									echo wp_get_attachment_image( $post->ID, array( $attachment_size, 1024 ) ); // filterable image width with 1024px limit for image height.
! 									?></a>
  
! 									<?php if ( ! empty( $post->post_excerpt ) ) : ?>
! 									<div class="entry-caption">
! 										<?php the_excerpt(); ?>
! 									</div>
! 									<?php endif; ?>
! 								</div><!-- .attachment -->
  
! 							</div><!-- .entry-attachment -->
  
! 							<div class="entry-description">
! 								<?php the_content(); ?>
! 								<?php wp_link_pages( array( 'before' => '<div class="page-link"><span>' . __( 'Pages:', 'twentyeleven' ) . '</span>', 'after' => '</div>' ) ); ?>
! 							</div><!-- .entry-description -->
! 
! 						</div><!-- .entry-content -->
! 
! 					</article><!-- #post-<?php the_ID(); ?> -->
! 
! 					<?php comments_template(); ?>
! 
! 				<?php endwhile; // end of the loop. ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/inc/theme-options.php ./wordpress-3.3/wp-content/themes/twentyeleven/inc/theme-options.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/inc/theme-options.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/inc/theme-options.php	2011-12-10 12:31:44.000000000 -0600
***************
*** 42,51 ****
  		add_option( 'twentyeleven_theme_options', twentyeleven_get_default_theme_options() );
  
  	register_setting(
! 		'twentyeleven_options',       // Options group, see settings_fields() call in theme_options_render_page()
  		'twentyeleven_theme_options', // Database option, see twentyeleven_get_theme_options()
  		'twentyeleven_theme_options_validate' // The sanitization callback, see twentyeleven_theme_options_validate()
  	);
  }
  add_action( 'admin_init', 'twentyeleven_theme_options_init' );
  
--- 42,71 ----
  		add_option( 'twentyeleven_theme_options', twentyeleven_get_default_theme_options() );
  
  	register_setting(
! 		'twentyeleven_options',       // Options group, see settings_fields() call in twentyeleven_theme_options_render_page()
  		'twentyeleven_theme_options', // Database option, see twentyeleven_get_theme_options()
  		'twentyeleven_theme_options_validate' // The sanitization callback, see twentyeleven_theme_options_validate()
  	);
+ 
+ 	// Register our settings field group
+ 	add_settings_section(
+ 		'general', // Unique identifier for the settings section
+ 		'', // Section title (we don't want one)
+ 		'__return_false', // Section callback (we don't want anything)
+ 		'theme_options' // Menu slug, used to uniquely identify the page; see twentyeleven_theme_options_add_page()
+ 	);
+ 
+ 	// Register our individual settings fields
+ 	add_settings_field(
+ 		'color_scheme',  // Unique identifier for the field for this section
+ 		__( 'Color Scheme', 'twentyeleven' ), // Setting field label
+ 		'twentyeleven_settings_field_color_scheme', // Function that renders the settings field
+ 		'theme_options', // Menu slug, used to uniquely identify the page; see twentyeleven_theme_options_add_page()
+ 		'general' // Settings section. Same as the first argument in the add_settings_section() above
+ 	);
+ 
+ 	add_settings_field( 'link_color', __( 'Link Color',     'twentyeleven' ), 'twentyeleven_settings_field_link_color', 'theme_options', 'general' );
+ 	add_settings_field( 'layout',     __( 'Default Layout', 'twentyeleven' ), 'twentyeleven_settings_field_layout',     'theme_options', 'general' );
  }
  add_action( 'admin_init', 'twentyeleven_theme_options_init' );
  
***************
*** 87,106 ****
  	if ( ! $theme_page )
  		return;
  
  	$help = '<p>' . __( 'Some themes provide customization options that are grouped together on a Theme Options screen. If you change themes, options may change or disappear, as they are theme-specific. Your current theme, Twenty Eleven, provides the following Theme Options:', 'twentyeleven' ) . '</p>' .
  			'<ol>' .
  				'<li>' . __( '<strong>Color Scheme</strong>: You can choose a color palette of "Light" (light background with dark text) or "Dark" (dark background with light text) for your site.', 'twentyeleven' ) . '</li>' .
  				'<li>' . __( '<strong>Link Color</strong>: You can choose the color used for text links on your site. You can enter the HTML color or hex code, or you can choose visually by clicking the "Select a Color" button to pick from a color wheel.', 'twentyeleven' ) . '</li>' .
  				'<li>' . __( '<strong>Default Layout</strong>: You can choose if you want your site&#8217;s default layout to have a sidebar on the left, the right, or not at all.', 'twentyeleven' ) . '</li>' .
  			'</ol>' .
! 			'<p>' . __( 'Remember to click "Save Changes" to save any changes you have made to the theme options.', 'twentyeleven' ) . '</p>' .
! 			'<p><strong>' . __( 'For more information:', 'twentyeleven' ) . '</strong></p>' .
! 			'<p>' . __( '<a href="http://codex.wordpress.org/Appearance_Theme_Options_Screen" target="_blank">Documentation on Theme Options</a>', 'twentyeleven' ) . '</p>' .
! 			'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>', 'twentyeleven' ) . '</p>';
  
! 	add_contextual_help( $theme_page, $help );
  }
- add_action( 'admin_menu', 'twentyeleven_theme_options_add_page' );
  
  /**
   * Returns an array of color schemes registered for Twenty Eleven.
--- 107,147 ----
  	if ( ! $theme_page )
  		return;
  
+ 	add_action( "load-$theme_page", 'twentyeleven_theme_options_help' );
+ }
+ add_action( 'admin_menu', 'twentyeleven_theme_options_add_page' );
+ 
+ function twentyeleven_theme_options_help() {
+ 
  	$help = '<p>' . __( 'Some themes provide customization options that are grouped together on a Theme Options screen. If you change themes, options may change or disappear, as they are theme-specific. Your current theme, Twenty Eleven, provides the following Theme Options:', 'twentyeleven' ) . '</p>' .
  			'<ol>' .
  				'<li>' . __( '<strong>Color Scheme</strong>: You can choose a color palette of "Light" (light background with dark text) or "Dark" (dark background with light text) for your site.', 'twentyeleven' ) . '</li>' .
  				'<li>' . __( '<strong>Link Color</strong>: You can choose the color used for text links on your site. You can enter the HTML color or hex code, or you can choose visually by clicking the "Select a Color" button to pick from a color wheel.', 'twentyeleven' ) . '</li>' .
  				'<li>' . __( '<strong>Default Layout</strong>: You can choose if you want your site&#8217;s default layout to have a sidebar on the left, the right, or not at all.', 'twentyeleven' ) . '</li>' .
  			'</ol>' .
! 			'<p>' . __( 'Remember to click "Save Changes" to save any changes you have made to the theme options.', 'twentyeleven' ) . '</p>';
  
! 	$sidebar = '<p><strong>' . __( 'For more information:', 'twentyeleven' ) . '</strong></p>' .
! 		'<p>' . __( '<a href="http://codex.wordpress.org/Appearance_Theme_Options_Screen" target="_blank">Documentation on Theme Options</a>', 'twentyeleven' ) . '</p>' .
! 		'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>', 'twentyeleven' ) . '</p>';
! 
! 	$screen = get_current_screen();
! 
! 	if ( method_exists( $screen, 'add_help_tab' ) ) {
! 		// WordPress 3.3
! 		$screen->add_help_tab( array(
! 			'title' => __( 'Overview', 'twentyeleven' ),
! 			'id' => 'theme-options-help',
! 			'content' => $help,
! 			)
! 		);
! 
! 		$screen->set_help_sidebar( $sidebar );
! 	} else {
! 		// WordPress 3.2
! 		add_contextual_help( $screen, $help . $sidebar );
! 	}
  }
  
  /**
   * Returns an array of color schemes registered for Twenty Eleven.
***************
*** 202,207 ****
--- 243,311 ----
  }
  
  /**
+  * Renders the Color Scheme setting field.
+  *
+  * @since Twenty Eleven 1.3
+  */
+ function twentyeleven_settings_field_color_scheme() {
+ 	$options = twentyeleven_get_theme_options();
+ 
+ 	foreach ( twentyeleven_color_schemes() as $scheme ) {
+ 	?>
+ 	<div class="layout image-radio-option color-scheme">
+ 	<label class="description">
+ 		<input type="radio" name="twentyeleven_theme_options[color_scheme]" value="<?php echo esc_attr( $scheme['value'] ); ?>" <?php checked( $options['color_scheme'], $scheme['value'] ); ?> />
+ 		<input type="hidden" id="default-color-<?php echo esc_attr( $scheme['value'] ); ?>" value="<?php echo esc_attr( $scheme['default_link_color'] ); ?>" />
+ 		<span>
+ 			<img src="<?php echo esc_url( $scheme['thumbnail'] ); ?>" width="136" height="122" alt="" />
+ 			<?php echo $scheme['label']; ?>
+ 		</span>
+ 	</label>
+ 	</div>
+ 	<?php
+ 	}
+ }
+ 
+ /**
+  * Renders the Link Color setting field.
+  *
+  * @since Twenty Eleven 1.3
+  */
+ function twentyeleven_settings_field_link_color() {
+ 	$options = twentyeleven_get_theme_options();
+ 	?>
+ 	<input type="text" name="twentyeleven_theme_options[link_color]" id="link-color" value="<?php echo esc_attr( $options['link_color'] ); ?>" />
+ 	<a href="#" class="pickcolor hide-if-no-js" id="link-color-example"></a>
+ 	<input type="button" class="pickcolor button hide-if-no-js" value="<?php esc_attr_e( 'Select a Color', 'twentyeleven' ); ?>" />
+ 	<div id="colorPickerDiv" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>
+ 	<br />
+ 	<span><?php printf( __( 'Default color: %s', 'twentyeleven' ), '<span id="default-color">' . twentyeleven_get_default_link_color( $options['color_scheme'] ) . '</span>' ); ?></span>
+ 	<?php
+ }
+ 
+ /**
+  * Renders the Layout setting field.
+  *
+  * @since Twenty Eleven 1.3
+  */
+ function twentyeleven_settings_field_layout() {
+ 	$options = twentyeleven_get_theme_options();
+ 	foreach ( twentyeleven_layouts() as $layout ) {
+ 		?>
+ 		<div class="layout image-radio-option theme-layout">
+ 		<label class="description">
+ 			<input type="radio" name="twentyeleven_theme_options[theme_layout]" value="<?php echo esc_attr( $layout['value'] ); ?>" <?php checked( $options['theme_layout'], $layout['value'] ); ?> />
+ 			<span>
+ 				<img src="<?php echo esc_url( $layout['thumbnail'] ); ?>" width="136" height="122" alt="" />
+ 				<?php echo $layout['label']; ?>
+ 			</span>
+ 		</label>
+ 		</div>
+ 		<?php
+ 	}
+ }
+ 
+ /**
   * Returns the options array for Twenty Eleven.
   *
   * @since Twenty Eleven 1.2
***************
*** 216,287 ****
  		<form method="post" action="options.php">
  			<?php
  				settings_fields( 'twentyeleven_options' );
! 				$options = twentyeleven_get_theme_options();
! 				$default_options = twentyeleven_get_default_theme_options();
  			?>
- 
- 			<table class="form-table">
- 
- 				<tr valign="top" class="image-radio-option color-scheme"><th scope="row"><?php _e( 'Color Scheme', 'twentyeleven' ); ?></th>
- 					<td>
- 						<fieldset><legend class="screen-reader-text"><span><?php _e( 'Color Scheme', 'twentyeleven' ); ?></span></legend>
- 						<?php
- 							foreach ( twentyeleven_color_schemes() as $scheme ) {
- 								?>
- 								<div class="layout">
- 								<label class="description">
- 									<input type="radio" name="twentyeleven_theme_options[color_scheme]" value="<?php echo esc_attr( $scheme['value'] ); ?>" <?php checked( $options['color_scheme'], $scheme['value'] ); ?> />
- 									<input type="hidden" id="default-color-<?php echo esc_attr( $scheme['value'] ); ?>" value="<?php echo esc_attr( $scheme['default_link_color'] ); ?>" />
- 									<span>
- 										<img src="<?php echo esc_url( $scheme['thumbnail'] ); ?>" width="136" height="122" alt="" />
- 										<?php echo $scheme['label']; ?>
- 									</span>
- 								</label>
- 								</div>
- 								<?php
- 							}
- 						?>
- 						</fieldset>
- 					</td>
- 				</tr>
- 
- 				<tr valign="top"><th scope="row"><?php _e( 'Link Color', 'twentyeleven' ); ?></th>
- 					<td>
- 						<fieldset><legend class="screen-reader-text"><span><?php _e( 'Link Color', 'twentyeleven' ); ?></span></legend>
- 							<input type="text" name="twentyeleven_theme_options[link_color]" id="link-color" value="<?php echo esc_attr( $options['link_color'] ); ?>" />
- 							<a href="#" class="pickcolor hide-if-no-js" id="link-color-example"></a>
- 							<input type="button" class="pickcolor button hide-if-no-js" value="<?php esc_attr_e( 'Select a Color', 'twentyeleven' ); ?>" />
- 							<div id="colorPickerDiv" style="z-index: 100; background:#eee; border:1px solid #ccc; position:absolute; display:none;"></div>
- 							<br />
- 							<span><?php printf( __( 'Default color: %s', 'twentyeleven' ), '<span id="default-color">' . twentyeleven_get_default_link_color( $options['color_scheme'] ) . '</span>' ); ?></span>
- 						</fieldset>
- 					</td>
- 				</tr>
- 
- 				<tr valign="top" class="image-radio-option theme-layout"><th scope="row"><?php _e( 'Default Layout', 'twentyeleven' ); ?></th>
- 					<td>
- 						<fieldset><legend class="screen-reader-text"><span><?php _e( 'Color Scheme', 'twentyeleven' ); ?></span></legend>
- 						<?php
- 							foreach ( twentyeleven_layouts() as $layout ) {
- 								?>
- 								<div class="layout">
- 								<label class="description">
- 									<input type="radio" name="twentyeleven_theme_options[theme_layout]" value="<?php echo esc_attr( $layout['value'] ); ?>" <?php checked( $options['theme_layout'], $layout['value'] ); ?> />
- 									<span>
- 										<img src="<?php echo esc_url( $layout['thumbnail'] ); ?>" width="136" height="122" alt="" />
- 										<?php echo $layout['label']; ?>
- 									</span>
- 								</label>
- 								</div>
- 								<?php
- 							}
- 						?>
- 						</fieldset>
- 					</td>
- 				</tr>
- 			</table>
- 
- 			<?php submit_button(); ?>
  		</form>
  	</div>
  	<?php
--- 320,328 ----
  		<form method="post" action="options.php">
  			<?php
  				settings_fields( 'twentyeleven_options' );
! 				do_settings_sections( 'theme_options' );
! 				submit_button();
  			?>
  		</form>
  	</div>
  	<?php
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/inc/widgets.php ./wordpress-3.3/wp-content/themes/twentyeleven/inc/widgets.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/inc/widgets.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/inc/widgets.php	2011-11-15 18:08:29.000000000 -0600
***************
*** 75,125 ****
  		$ephemera = new WP_Query( $ephemera_args );
  
  		if ( $ephemera->have_posts() ) :
  
! 		echo $before_widget;
! 		echo $before_title;
! 		echo $title; // Can set this with a widget option, or omit altogether
! 		echo $after_title;
! 
! 		?>
! 		<ol>
! 		<?php while ( $ephemera->have_posts() ) : $ephemera->the_post(); ?>
! 
! 			<?php if ( 'link' != get_post_format() ) : ?>
! 
! 			<li class="widget-entry-title">
! 				<a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'twentyeleven' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
! 				<span class="comments-link">
! 					<?php comments_popup_link( __( '0 <span class="reply">comments &rarr;</span>', 'twentyeleven' ), __( '1 <span class="reply">comment &rarr;</span>', 'twentyeleven' ), __( '% <span class="reply">comments &rarr;</span>', 'twentyeleven' ) ); ?>
! 				</span>
! 			</li>
! 
! 			<?php else : ?>
! 
! 			<li class="widget-entry-title">
! 				<?php
! 					// Grab first link from the post content. If none found, use the post permalink as fallback.
! 					$link_url = twentyeleven_url_grabber();
! 
! 					if ( empty( $link_url ) )
! 						$link_url = get_permalink();
! 				?>
! 				<a href="<?php echo esc_url( $link_url ); ?>" title="<?php printf( esc_attr__( 'Link to %s', 'twentyeleven' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?>&nbsp;<span>&rarr;</span></a>
! 				<span class="comments-link">
! 					<?php comments_popup_link( __( '0 <span class="reply">comments &rarr;</span>', 'twentyeleven' ), __( '1 <span class="reply">comment &rarr;</span>', 'twentyeleven' ), __( '% <span class="reply">comments &rarr;</span>', 'twentyeleven' ) ); ?>
! 				</span>
! 			</li>
  
! 			<?php endif; ?>
! 
! 		<?php endwhile; ?>
! 		</ol>
! 		<?php
! 
! 		echo $after_widget;
! 
! 		// Reset the post globals as this query will have stomped on it
! 		wp_reset_postdata();
  
  		// end check for ephemeral posts
  		endif;
--- 75,123 ----
  		$ephemera = new WP_Query( $ephemera_args );
  
  		if ( $ephemera->have_posts() ) :
+ 			echo $before_widget;
+ 			echo $before_title;
+ 			echo $title; // Can set this with a widget option, or omit altogether
+ 			echo $after_title;
+ 			?>
+ 			<ol>
+ 			<?php while ( $ephemera->have_posts() ) : $ephemera->the_post(); ?>
+ 
+ 				<?php if ( 'link' != get_post_format() ) : ?>
+ 
+ 				<li class="widget-entry-title">
+ 					<a href="<?php echo esc_url( get_permalink() ); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'twentyeleven' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
+ 					<span class="comments-link">
+ 						<?php comments_popup_link( __( '0 <span class="reply">comments &rarr;</span>', 'twentyeleven' ), __( '1 <span class="reply">comment &rarr;</span>', 'twentyeleven' ), __( '% <span class="reply">comments &rarr;</span>', 'twentyeleven' ) ); ?>
+ 					</span>
+ 				</li>
+ 
+ 				<?php else : ?>
+ 
+ 				<li class="widget-entry-title">
+ 					<?php
+ 						// Grab first link from the post content. If none found, use the post permalink as fallback.
+ 						$link_url = twentyeleven_url_grabber();
+ 
+ 						if ( empty( $link_url ) )
+ 							$link_url = get_permalink();
+ 					?>
+ 					<a href="<?php echo esc_url( $link_url ); ?>" title="<?php printf( esc_attr__( 'Link to %s', 'twentyeleven' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?>&nbsp;<span>&rarr;</span></a>
+ 					<span class="comments-link">
+ 						<?php comments_popup_link( __( '0 <span class="reply">comments &rarr;</span>', 'twentyeleven' ), __( '1 <span class="reply">comment &rarr;</span>', 'twentyeleven' ), __( '% <span class="reply">comments &rarr;</span>', 'twentyeleven' ) ); ?>
+ 					</span>
+ 				</li>
+ 
+ 				<?php endif; ?>
+ 
+ 			<?php endwhile; ?>
+ 			</ol>
+ 			<?php
  
! 			echo $after_widget;
  
! 			// Reset the post globals as this query will have stomped on it
! 			wp_reset_postdata();
  
  		// end check for ephemeral posts
  		endif;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/page.php ./wordpress-3.3/wp-content/themes/twentyeleven/page.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/page.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/page.php	2011-11-21 10:20:49.000000000 -0600
***************
*** 17,27 ****
  		<div id="primary">
  			<div id="content" role="main">
  
! 				<?php the_post(); ?>
  
! 				<?php get_template_part( 'content', 'page' ); ?>
  
! 				<?php comments_template( '', true ); ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
--- 17,29 ----
  		<div id="primary">
  			<div id="content" role="main">
  
! 				<?php while ( have_posts() ) : the_post(); ?>
  
! 					<?php get_template_part( 'content', 'page' ); ?>
  
! 					<?php comments_template( '', true ); ?>
! 
! 				<?php endwhile; // end of the loop. ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/showcase.php ./wordpress-3.3/wp-content/themes/twentyeleven/showcase.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/showcase.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/showcase.php	2011-11-21 10:20:49.000000000 -0600
***************
*** 22,28 ****
  		<div id="primary" class="showcase">
  			<div id="content" role="main">
  
! 				<?php the_post(); ?>
  
  				<?php
  					/**
--- 22,28 ----
  		<div id="primary" class="showcase">
  			<div id="content" role="main">
  
! 				<?php while ( have_posts() ) : the_post(); ?>
  
  				<?php
  					/**
***************
*** 33,38 ****
--- 33,40 ----
  						get_template_part( 'content', 'intro' );
  				?>
  
+ 				<?php endwhile; ?>
+ 
  				<?php
  					/**
  					 * Begin the featured posts section.
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyeleven/sidebar-page.php ./wordpress-3.3/wp-content/themes/twentyeleven/sidebar-page.php
*** ./wordpress-3.2.1/wp-content/themes/twentyeleven/sidebar-page.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyeleven/sidebar-page.php	2011-11-21 10:20:49.000000000 -0600
***************
*** 13,23 ****
  		<div id="primary">
  			<div id="content" role="main">
  
! 				<?php the_post(); ?>
  
! 				<?php get_template_part( 'content', 'page' ); ?>
  
! 				<?php comments_template( '', true ); ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
--- 13,25 ----
  		<div id="primary">
  			<div id="content" role="main">
  
! 				<?php while ( have_posts() ) : the_post(); ?>
  
! 					<?php get_template_part( 'content', 'page' ); ?>
  
! 					<?php comments_template( '', true ); ?>
! 
! 				<?php endwhile; // end of the loop. ?>
  
  			</div><!-- #content -->
  		</div><!-- #primary -->
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyten/archive.php ./wordpress-3.3/wp-content/themes/twentyten/archive.php
*** ./wordpress-3.2.1/wp-content/themes/twentyten/archive.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyten/archive.php	2011-11-10 12:37:20.000000000 -0600
***************
*** 32,40 ****
  <?php if ( is_day() ) : ?>
  				<?php printf( __( 'Daily Archives: <span>%s</span>', 'twentyten' ), get_the_date() ); ?>
  <?php elseif ( is_month() ) : ?>
! 				<?php printf( __( 'Monthly Archives: <span>%s</span>', 'twentyten' ), get_the_date( 'F Y' ) ); ?>
  <?php elseif ( is_year() ) : ?>
! 				<?php printf( __( 'Yearly Archives: <span>%s</span>', 'twentyten' ), get_the_date( 'Y' ) ); ?>
  <?php else : ?>
  				<?php _e( 'Blog Archives', 'twentyten' ); ?>
  <?php endif; ?>
--- 32,40 ----
  <?php if ( is_day() ) : ?>
  				<?php printf( __( 'Daily Archives: <span>%s</span>', 'twentyten' ), get_the_date() ); ?>
  <?php elseif ( is_month() ) : ?>
! 				<?php printf( __( 'Monthly Archives: <span>%s</span>', 'twentyten' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'twentyten' ) ) ); ?>
  <?php elseif ( is_year() ) : ?>
! 				<?php printf( __( 'Yearly Archives: <span>%s</span>', 'twentyten' ), get_the_date( _x( 'Y', 'yearly archives date format', 'twentyten' ) ) ); ?>
  <?php else : ?>
  				<?php _e( 'Blog Archives', 'twentyten' ); ?>
  <?php endif; ?>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-content/themes/twentyten/functions.php ./wordpress-3.3/wp-content/themes/twentyten/functions.php
*** ./wordpress-3.2.1/wp-content/themes/twentyten/functions.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-content/themes/twentyten/functions.php	2011-12-10 13:18:51.000000000 -0600
***************
*** 88,97 ****
  
  	// Make theme available for translation
  	// Translations can be filed in the /languages/ directory
! 	load_theme_textdomain( 'twentyten', TEMPLATEPATH . '/languages' );
  
  	$locale = get_locale();
! 	$locale_file = TEMPLATEPATH . "/languages/$locale.php";
  	if ( is_readable( $locale_file ) )
  		require_once( $locale_file );
  
--- 88,97 ----
  
  	// Make theme available for translation
  	// Translations can be filed in the /languages/ directory
! 	load_theme_textdomain( 'twentyten', get_template_directory() . '/languages' );
  
  	$locale = get_locale();
! 	$locale_file = get_template_directory() . "/languages/$locale.php";
  	if ( is_readable( $locale_file ) )
  		require_once( $locale_file );
  
***************
*** 473,479 ****
  		),
  		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
  			get_author_posts_url( get_the_author_meta( 'ID' ) ),
! 			sprintf( esc_attr__( 'View all posts by %s', 'twentyten' ), get_the_author() ),
  			get_the_author()
  		)
  	);
--- 473,479 ----
  		),
  		sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s">%3$s</a></span>',
  			get_author_posts_url( get_the_author_meta( 'ID' ) ),
! 			esc_attr( sprintf( __( 'View all posts by %s', 'twentyten' ), get_the_author() ) ),
  			get_the_author()
  		)
  	);
